vpx_tpl.h File Reference

Describes the TPL stats descriptor and associated operations. More...

`#include "./vpx_integer.h"`
`#include "./vpx_codec.h"`

Go to the source code of this file.

## Data Structures

struct | VpxTplBlockStats
| Temporal dependency model stats for each block before propagation. More...
struct | VpxTplFrameStats
| Temporal dependency model stats for each frame before propagation. More...
struct | VpxTplGopStats
| Temporal dependency model stats for each GOP before propagation. More...

## Macros

#define | VPX_TPL_ABI_VERSION
| Current ABI version number.

## Typedefs

typedef struct VpxTplBlockStats | VpxTplBlockStats
| Temporal dependency model stats for each block before propagation.
typedef struct VpxTplFrameStats | VpxTplFrameStats
| Temporal dependency model stats for each frame before propagation.
typedef struct VpxTplGopStats | VpxTplGopStats
| Temporal dependency model stats for each GOP before propagation.

## Detailed Description

Describes the TPL stats descriptor and associated operations.